package com.ruoyi.mxjb.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.mxjb.mapper.MxjbPaperTestMapper;
import com.ruoyi.mxjb.domain.MxjbPaperTest;
import com.ruoyi.mxjb.service.IMxjbPaperTestService;

/**
 * AI组卷记录Service业务层处理
 * 
 * @author mingxue
 * @date 2021-12-25
 */
@Service
public class MxjbPaperTestServiceImpl implements IMxjbPaperTestService 
{
    @Autowired
    private MxjbPaperTestMapper mxjbPaperTestMapper;

    /**
     * 查询AI组卷记录
     * 
     * @param paperId AI组卷记录ID
     * @return AI组卷记录
     */
    @Override
    public MxjbPaperTest selectMxjbPaperTestById(Long paperId)
    {
        return mxjbPaperTestMapper.selectMxjbPaperTestById(paperId);
    }

    /**
     * 查询AI组卷记录列表
     * 
     * @param MxjbPaperTest AI组卷记录
     * @return AI组卷记录
     */
    @Override
    public List<MxjbPaperTest> selectMxjbPaperTestList(MxjbPaperTest MxjbPaperTest)
    {
        return mxjbPaperTestMapper.selectMxjbPaperTestList(MxjbPaperTest);
    }

    /**
     * 新增AI组卷记录
     * 
     * @param MxjbPaperTest AI组卷记录
     * @return 结果
     */
    @Override
    public int insertMxjbPaperTest(MxjbPaperTest MxjbPaperTest)
    {
        return mxjbPaperTestMapper.insertMxjbPaperTest(MxjbPaperTest);
    }

    /**
     * 修改AI组卷记录
     * 
     * @param MxjbPaperTest AI组卷记录
     * @return 结果
     */
    @Override
    public int updateMxjbPaperTest(MxjbPaperTest MxjbPaperTest)
    {
        return mxjbPaperTestMapper.updateMxjbPaperTest(MxjbPaperTest);
    }

    /**
     * 批量删除AI组卷记录
     * 
     * @param paperIds 需要删除的AI组卷记录ID
     * @return 结果
     */
    @Override
    public int deleteMxjbPaperTestByIds(Long[] paperIds)
    {
        return mxjbPaperTestMapper.deleteMxjbPaperTestByIds(paperIds);
    }

    /**
     * 删除AI组卷记录信息
     * 
     * @param paperId AI组卷记录ID
     * @return 结果
     */
    @Override
    public int deleteMxjbPaperTestById(Long paperId)
    {
        return mxjbPaperTestMapper.deleteMxjbPaperTestById(paperId);
    }
}
